--- old/usr/src/uts/common/dtrace/profile.c	2014-07-28 07:44:14.386401650 -0400
+++ new/usr/src/uts/common/dtrace/profile.c	2014-07-28 07:44:14.392290253 -0400
@@ -171,9 +171,9 @@
 	if (dtrace_probe_lookup(profile_id, NULL, NULL, name) != 0)
 		return;
 
-	atomic_add_32(&profile_total, 1);
+	atomic_inc_32(&profile_total);
 	if (profile_total > profile_max) {
-		atomic_add_32(&profile_total, -1);
+		atomic_dec_32(&profile_total);
 		return;
 	}
 
@@ -328,7 +328,7 @@
 	kmem_free(prof, sizeof (profile_probe_t));
 
 	ASSERT(profile_total >= 1);
-	atomic_add_32(&profile_total, -1);
+	atomic_dec_32(&profile_total);
 }
 
 /*ARGSUSED*/
